classification
Title: Use _PyUnicodeWriter API for CJK decoders
Type: Stage: resolved
Components: Unicode Versions: Python 3.4
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: ezio.melotti, python-dev, serhiy.storchaka, vstinner
Priority: normal Keywords: patch

Created on 2013-04-10 23:50 by vstinner, last changed 2013-04-14 17:31 by python-dev. This issue is now closed.

Files
File name Uploaded Description Edit
cjkcodecs_writer.patch vstinner, 2013-04-10 23:50 review
Messages (4)
msg186536 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2013-04-10 23:50
Attached patch modify CJK decoders to use the _PyUnicodeWriter API. It adds a new _PyUnicodeWriter_WriteChar() function.

Performances are not optimal: the overallocation is not well controlled. I will try to adjust it later (if this patch is accepted).
msg186587 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2013-04-11 20:13
New changeset bcecf3910162 by Victor Stinner in branch 'default':
Close #17693: Rewrite CJK decoders to use the _PyUnicodeWriter API instead of
http://hg.python.org/cpython/rev/bcecf3910162
msg186868 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2013-04-14 00:06
New changeset d621bdaed7c3 by Victor Stinner in branch 'default':
Issue #17693: CJK encoders now use the new Unicode API (PEP 393)
http://hg.python.org/cpython/rev/d621bdaed7c3
msg186932 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2013-04-14 17:31
New changeset ffd4b72f7f95 by Victor Stinner in branch 'default':
Issue #17693: Fix memory/reference leaks
http://hg.python.org/cpython/rev/ffd4b72f7f95
History
Date User Action Args
2013-04-14 17:31:40python-devsetmessages: + msg186932
2013-04-14 00:06:46python-devsetmessages: + msg186868
2013-04-11 20:13:16python-devsetstatus: open -> closed

nosy: + python-dev
messages: + msg186587

resolution: fixed
stage: resolved
2013-04-10 23:50:55vstinnercreate